# Uses of Class
com.logicaldoc.core.security.user.PasswordHistory

Packages that use PasswordHistory
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of PasswordHistory in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return PasswordHistory
Modifier and Type
Method
Description
`PasswordHistory`
HibernatePasswordHistoryDAO.`findByUserIdAndPassword(long userId, String password, int max)`
`PasswordHistory`
PasswordHistoryDAO.`findByUserIdAndPassword(long userId, String password, int max)`
Gets the password used by the user in last max times
Methods in com.logicaldoc.core.security.user that return types with arguments of type PasswordHistory
Modifier and Type
Method
Description
`List<PasswordHistory>`
HibernatePasswordHistoryDAO.`findByUserId(long userId, Integer max)`
`List<PasswordHistory>`
PasswordHistoryDAO.`findByUserId(long userId, Integer max)`
Gets all the histories related to a given user ordered by date desc
Methods in com.logicaldoc.core.security.user with parameters of type PasswordHistory
Modifier and Type
Method
Description
`int`
PasswordHistory.`compareTo(PasswordHistory other)`